New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fedora 27 install script returns 403 #543

Closed
GabLeRoux opened this Issue Oct 31, 2017 · 23 comments

Comments

Projects
None yet
10 participants
@GabLeRoux

GabLeRoux commented Oct 31, 2017

See here:
https://dl.folkswithhats.org/fedora/27/RPMS/noarch/folkswithhats-release-3.0.0-1.noarch.rpm

Works for 25 and 26 tho.

curl -v https://dl.folkswithhats.org/fedora/27/RPMS/noarch/folkswithhats-release-3.0.0-1.noarch.rpm
*   Trying 52.84.86.235...
* TCP_NODELAY set
* Connected to dl.folkswithhats.org (52.84.86.235) port 443 (#0)
* ALPN, offering h2
* ALPN, offering http/1.1
* Cipher selection: ALL:!EXPORT:!EXPORT40:!EXPORT56:!aNULL:!LOW:!RC4:@STRENGTH
* successfully set certificate verify locations:
*   CAfile: /etc/ssl/cert.pem
  CApath: none
* TLSv1.2 (OUT), TLS handshake, Client hello (1):
* TLSv1.2 (IN), TLS handshake, Server hello (2):
* TLSv1.2 (IN), TLS handshake, Certificate (11):
* TLSv1.2 (IN), TLS handshake, Server key exchange (12):
* TLSv1.2 (IN), TLS handshake, Server finished (14):
* TLSv1.2 (OUT), TLS handshake, Client key exchange (16):
* TLSv1.2 (OUT), TLS change cipher, Client hello (1):
* TLSv1.2 (OUT), TLS handshake, Finished (20):
* TLSv1.2 (IN), TLS change cipher, Client hello (1):
* TLSv1.2 (IN), TLS handshake, Finished (20):
* SSL connection using TLSv1.2 / ECDHE-RSA-AES128-GCM-SHA256
* ALPN, server accepted to use h2
* Server certificate:
*  subject: CN=folkswithhats.org
*  start date: Jul 20 00:00:00 2017 GMT
*  expire date: Aug 20 12:00:00 2018 GMT
*  subjectAltName: host "dl.folkswithhats.org" matched cert's "*.folkswithhats.org"
*  issuer: C=US; O=Amazon; OU=Server CA 1B; CN=Amazon
*  SSL certificate verify ok.
* Using HTTP2, server supports multi-use
* Connection state changed (HTTP/2 confirmed)
* Copying HTTP/2 data in stream buffer to connection buffer after upgrade: len=0
* Using Stream ID: 1 (easy handle 0x7fd2b5005800)
> GET /fedora/27/RPMS/noarch/folkswithhats-release-3.0.0-1.noarch.rpm HTTP/2
> Host: dl.folkswithhats.org
> User-Agent: curl/7.54.0
> Accept: */*
>
* Connection state changed (MAX_CONCURRENT_STREAMS updated)!
< HTTP/2 403
< content-type: application/xml
< date: Tue, 31 Oct 2017 18:28:10 GMT
< server: AmazonS3
< age: 6
< x-cache: Error from cloudfront
< via: 1.1 5ef519cdde2771cba1138169a892dfd9.cloudfront.net (CloudFront)
< x-amz-cf-id: mH9awZ28NY9ZBhY2P_zYMPVVLs4fSo4tv94zZGsdPOFvXS8oerUPkw==
<
<?xml version="1.0" encoding="UTF-8"?>
* Connection #0 to host dl.folkswithhats.org left intact
<Error><Code>AccessDenied</Code><Message>Access Denied</Message><RequestId>839EDC8F394F4933</RequestId><HostId>aweq5PGph0WiMk3f90KujRp6ubIlLJYitqyE/lBW0DYPEtuhxX8U38wvAGxHsdG/i3YckVunGsU=</HostId></Error>
@sudoforge

This comment has been minimized.

Show comment
Hide comment
@sudoforge

sudoforge Oct 31, 2017

Member

I haven't yet built the packages for F27.

My schedule has been a bit packed the past few months, I'll try and make time to get the packages up-to-date. This will include building packages for F27.

Member

sudoforge commented Oct 31, 2017

I haven't yet built the packages for F27.

My schedule has been a bit packed the past few months, I'll try and make time to get the packages up-to-date. This will include building packages for F27.

@Abhinav1217

This comment has been minimized.

Show comment
Hide comment
@Abhinav1217

Abhinav1217 Nov 9, 2017

Member

Fedy does not target beta, alpha, rc releases. Only Stable releases. If you want to install Fedy on Beta release, You need to manually install Fusion repos, before installing fedy. Fedy in Alpha release are usually broken, because of broken dependencies package.

Member

Abhinav1217 commented Nov 9, 2017

Fedy does not target beta, alpha, rc releases. Only Stable releases. If you want to install Fedy on Beta release, You need to manually install Fusion repos, before installing fedy. Fedy in Alpha release are usually broken, because of broken dependencies package.

@sudoforge

This comment has been minimized.

Show comment
Hide comment
@sudoforge

sudoforge Nov 14, 2017

Member

This is being considered a bug report as you, the user, expect Fedy to be built for F27; however it is being declined and marked as invalid because we have not historically released build targets for beta or other non-release versions of Fedy.

This is something I intend to change. The feature for adding F27 targets can be tracked in #551.

Member

sudoforge commented Nov 14, 2017

This is being considered a bug report as you, the user, expect Fedy to be built for F27; however it is being declined and marked as invalid because we have not historically released build targets for beta or other non-release versions of Fedy.

This is something I intend to change. The feature for adding F27 targets can be tracked in #551.

@sudoforge sudoforge closed this Nov 14, 2017

@ranjithsiji

This comment has been minimized.

Show comment
Hide comment
@ranjithsiji

ranjithsiji Nov 15, 2017

Actually fedy must be build for atleast beta. In recent releases I faced the problem of error with fedy. The error happened because I tried the fedora release on the same day. The fedy repo is not ready. If you can have build road map for beta release of fedora then that will be great. Because without fedy configuring fedora is a whole lot of work.

ranjithsiji commented Nov 15, 2017

Actually fedy must be build for atleast beta. In recent releases I faced the problem of error with fedy. The error happened because I tried the fedora release on the same day. The fedy repo is not ready. If you can have build road map for beta release of fedora then that will be great. Because without fedy configuring fedora is a whole lot of work.

@sudoforge

This comment has been minimized.

Show comment
Hide comment
@sudoforge

sudoforge Nov 15, 2017

Member

Actually fedy must be build for atleast beta.

Yes; please see #551 for following this story.

In recent releases I faced the problem of error with fedy

Fedy itself is very lightweight; do you mean to say that you had issues with the application starting or with the display or operation of the GUI? All we do, in most cases, is run shell scripts. These can fail due to changes in the third parties that we are contacting and downloading files from.

Member

sudoforge commented Nov 15, 2017

Actually fedy must be build for atleast beta.

Yes; please see #551 for following this story.

In recent releases I faced the problem of error with fedy

Fedy itself is very lightweight; do you mean to say that you had issues with the application starting or with the display or operation of the GUI? All we do, in most cases, is run shell scripts. These can fail due to changes in the third parties that we are contacting and downloading files from.

@ranjithsiji

This comment has been minimized.

Show comment
Hide comment
@ranjithsiji

ranjithsiji Nov 15, 2017

The problem is Fedy is not building with the latest fedora. I am Installing Latest fedora in a number of system on the first day of release. If I have Fedy then never look back. But usually fedy is getting ready after a weak or two. So installing third party software without fedy is always a pain.

ranjithsiji commented Nov 15, 2017

The problem is Fedy is not building with the latest fedora. I am Installing Latest fedora in a number of system on the first day of release. If I have Fedy then never look back. But usually fedy is getting ready after a weak or two. So installing third party software without fedy is always a pain.

@sudoforge

This comment has been minimized.

Show comment
Hide comment
@sudoforge

sudoforge Nov 15, 2017

Member

The problem is Fedy is not building with the latest fedora. I am Installing Latest fedora in a number of system on the first day of release. If I have Fedy then never look back. But usually fedy is getting ready after a weak or two. So installing third party software without fedy is always a pain.

Yes, our release cycle has not historically been conducive to users who upgrade on release launch dates. This is something I have talked about in the past, and something which #551 addresses.

Member

sudoforge commented Nov 15, 2017

The problem is Fedy is not building with the latest fedora. I am Installing Latest fedora in a number of system on the first day of release. If I have Fedy then never look back. But usually fedy is getting ready after a weak or two. So installing third party software without fedy is always a pain.

Yes, our release cycle has not historically been conducive to users who upgrade on release launch dates. This is something I have talked about in the past, and something which #551 addresses.

@sudoforge

This comment has been minimized.

Show comment
Hide comment
@sudoforge

sudoforge Nov 15, 2017

Member

Please try installing Fedy again. Targets have been built and deployed for Fedora 27 Stable. Please report any plugin-specific errors you may encounter in a new issue.

Member

sudoforge commented Nov 15, 2017

Please try installing Fedy again. Targets have been built and deployed for Fedora 27 Stable. Please report any plugin-specific errors you may encounter in a new issue.

@sudoforge sudoforge added this to the BUGFIX milestone Nov 18, 2017

@hunter-gon

This comment has been minimized.

Show comment
Hide comment
@hunter-gon

hunter-gon Nov 25, 2017

Hi I dont know much about this but i installed fedora 27 today and soon after installed Fedy, and it seemed to install fine but after opening fedy all i get is a blank white application window that says "fedy" at the top and has a search function. I'm not sure how to uninstall fedy, will that be needed after an fedy for f27 comes out?

hunter-gon commented Nov 25, 2017

Hi I dont know much about this but i installed fedora 27 today and soon after installed Fedy, and it seemed to install fine but after opening fedy all i get is a blank white application window that says "fedy" at the top and has a search function. I'm not sure how to uninstall fedy, will that be needed after an fedy for f27 comes out?

@jam01

This comment has been minimized.

Show comment
Hide comment
@jam01

jam01 Dec 3, 2017

Just upgraded to 27 from 26, installed Fedy and it seemed fine, but can't find it on my apps and running fedy on a terminal gives command not found

jam01 commented Dec 3, 2017

Just upgraded to 27 from 26, installed Fedy and it seemed fine, but can't find it on my apps and running fedy on a terminal gives command not found

@aanurraj

This comment has been minimized.

Show comment
Hide comment
@aanurraj

aanurraj Dec 7, 2017

screenshot from 2017-12-07 20-03-26

what to do ?

aanurraj commented Dec 7, 2017

screenshot from 2017-12-07 20-03-26

what to do ?

@GabLeRoux

This comment has been minimized.

Show comment
Hide comment
@GabLeRoux

GabLeRoux Dec 7, 2017

I know there are tools to inspect ui, but you should have a look to the logs. I don't know where they are exactly for Fedy, but something definitely went wrong here ;)

GabLeRoux commented Dec 7, 2017

I know there are tools to inspect ui, but you should have a look to the logs. I don't know where they are exactly for Fedy, but something definitely went wrong here ;)

@aanurraj

This comment has been minimized.

Show comment
Hide comment
@aanurraj

aanurraj Dec 7, 2017

is the stable version of fedy for Fedora 27 released ?

aanurraj commented Dec 7, 2017

is the stable version of fedy for Fedora 27 released ?

@Abhinav1217

This comment has been minimized.

Show comment
Hide comment
@Abhinav1217

Abhinav1217 Dec 10, 2017

Member

@GabLeRoux @aanurraj what is the output of tree /usr/share/fedy/plugins/ | tail -n 1 and also try to launch fedy from terminal. Command is fedy.

Member

Abhinav1217 commented Dec 10, 2017

@GabLeRoux @aanurraj what is the output of tree /usr/share/fedy/plugins/ | tail -n 1 and also try to launch fedy from terminal. Command is fedy.

@ranjithsiji

This comment has been minimized.

Show comment
Hide comment
@ranjithsiji

ranjithsiji Dec 12, 2017

Fedy working very smoothly on fedora 27

ranjithsiji commented Dec 12, 2017

Fedy working very smoothly on fedora 27

@ackcent588

This comment has been minimized.

Show comment
Hide comment
@ackcent588

ackcent588 Dec 12, 2017

it is not working,I think it is work good and have installed good but this show when I open fedy from terminal it show me blank white window

ackcent588 commented Dec 12, 2017

it is not working,I think it is work good and have installed good but this show when I open fedy from terminal it show me blank white window

@ackcent588

This comment has been minimized.

Show comment
Hide comment
@ackcent588

ackcent588 Dec 12, 2017

@Abhinav1217
it is show {0 directories, 0 files}

ackcent588 commented Dec 12, 2017

@Abhinav1217
it is show {0 directories, 0 files}

@Abhinav1217

This comment has been minimized.

Show comment
Hide comment
@Abhinav1217

Abhinav1217 Dec 12, 2017

Member

@ackcent588 Fedy is not properly installed. Basically you do not have any fedy-plugins installed. Its strange. You can try reinstalling fedy, or download plugins from github to the plugin folder.

Member

Abhinav1217 commented Dec 12, 2017

@ackcent588 Fedy is not properly installed. Basically you do not have any fedy-plugins installed. Its strange. You can try reinstalling fedy, or download plugins from github to the plugin folder.

@ackcent588

This comment has been minimized.

Show comment
Hide comment
@ackcent588

ackcent588 Dec 12, 2017

@Abhinav1217 How could I remove fedy and reinstall again
I try this "dnf remove fedy"
and not working

ackcent588 commented Dec 12, 2017

@Abhinav1217 How could I remove fedy and reinstall again
I try this "dnf remove fedy"
and not working

@binarynut

This comment has been minimized.

Show comment
Hide comment
@binarynut

binarynut Jan 27, 2018

Fedy not installing on Fedora 27.

# dnf -y install folkswithhats-release-3.0.0-1.noarch.rpm                          Last metadata expiration check: 2:41:08 ago on Sat 27 Jan 2018 05:43:27 AM EST.
Dependencies resolved.
=============================================================================================================
 Package                            Arch                Version              Repository                 Size
=============================================================================================================
Downgrading:
 folkswithhats-release              noarch              3.0.0-1              @commandline              7.2 k

Transaction Summary
=============================================================================================================
Downgrade  1 Package

Total size: 7.2 k
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                     1/1 
  Downgrading      : folkswithhats-release-3.0.0-1.noarch                                                1/2 
  Erasing          : folkswithhats-release-4.0.0-0.noarch                                                2/2 
  Verifying        : folkswithhats-release-3.0.0-1.noarch                                                1/2 
  Verifying        : folkswithhats-release-4.0.0-0.noarch                                                2/2 

Downgraded:
  folkswithhats-release.noarch 3.0.0-1                                                                       

Complete!
[root@localhost Downloads]# fedy
bash: fedy: command not found

Changelog:

  • Added code blocks to format output. (@bddenhartog)

binarynut commented Jan 27, 2018

Fedy not installing on Fedora 27.

# dnf -y install folkswithhats-release-3.0.0-1.noarch.rpm                          Last metadata expiration check: 2:41:08 ago on Sat 27 Jan 2018 05:43:27 AM EST.
Dependencies resolved.
=============================================================================================================
 Package                            Arch                Version              Repository                 Size
=============================================================================================================
Downgrading:
 folkswithhats-release              noarch              3.0.0-1              @commandline              7.2 k

Transaction Summary
=============================================================================================================
Downgrade  1 Package

Total size: 7.2 k
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                     1/1 
  Downgrading      : folkswithhats-release-3.0.0-1.noarch                                                1/2 
  Erasing          : folkswithhats-release-4.0.0-0.noarch                                                2/2 
  Verifying        : folkswithhats-release-3.0.0-1.noarch                                                1/2 
  Verifying        : folkswithhats-release-4.0.0-0.noarch                                                2/2 

Downgraded:
  folkswithhats-release.noarch 3.0.0-1                                                                       

Complete!
[root@localhost Downloads]# fedy
bash: fedy: command not found

Changelog:

  • Added code blocks to format output. (@bddenhartog)
@sudoforge

This comment has been minimized.

Show comment
Hide comment
@sudoforge

sudoforge Jan 27, 2018

Member

@binarynut Please run the command dnf install -y fedy.

Member

sudoforge commented Jan 27, 2018

@binarynut Please run the command dnf install -y fedy.

@binarynut

This comment has been minimized.

Show comment
Hide comment
@binarynut

binarynut Jan 27, 2018

dnf install -y fedy
Thanks very much, that work.

binarynut commented Jan 27, 2018

dnf install -y fedy
Thanks very much, that work.

@saidtechnology

This comment has been minimized.

Show comment
Hide comment
@saidtechnology

saidtechnology Jan 28, 2018

yes Thanks is worhing with me

saidtechnology commented Jan 28, 2018

yes Thanks is worhing with me

@sudoforge sudoforge added area:website and removed area:org labels Mar 28, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment